Summary:        Streaming library for IEEE1394
Name: 		libraw1394
Version: 	1.2.1
Release: 	1
Copyright: 	LGPL
Group: 		Libraries
Source: 	http://www.linux1394.org/dl/libraw1394-1.2.1.tar.gz
URL: 		http://www.linux1394.org/
BuildRoot: 	/var/tmp/libraw1394-root

%description 
The Linux kernel's IEEE 1394 subsystem provides access to the raw 1394
bus through the raw1394 module.  This includes the standard 1394
transactions (read, write, lock) on the active side, isochronous
stream receiving and sending and dumps of data written to the
FCP_COMMAND and FCP_RESPONSE registers.  raw1394 uses a character
device to communicate to user programs using a special protocol.

libraw1394 was created with the intent to hide that protocol from
applications so that

- the protocol has to be implemented correctly only once.

- all work can be done using easy to understand functions instead of
  handling a complicated command structure.

- only libraw1394 has to be changed when raw1394's interface changes.

%package 	devel
Summary:  	Development libs for libraw1394
Group:    	Development

%description 	devel
Development libraries needed to build applications against libraw1394

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_includedir}
%{_libdir}/pkgconfig
